Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Transmit_File_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Transmit_File. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Transmit_File_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Transmit_File_Impl:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Asynch_Transmit_File_Impl (void)
virtual int | transmit_file (ACE_HANDLE file, ACE_Asynch_Transmit_File::Header_And_Trailer *header_and_trailer, size_t bytes_to_write, u_long offset, u_long offset_high, size_t bytes_per_send, u_long flags, const void *act, int priority, int signal_number)=0
| This starts off an asynchronous transmit file.
## Protected Member Functions
| ACE_Asynch_Transmit_File_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Transmit_File.

## Constructor & Destructor Documentation

ACE_Asynch_Transmit_File_Impl::~ACE_Asynch_Transmit_File_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Transmit_File_Impl::ACE_Asynch_Transmit_File_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Transmit_File_Impl::transmit_file | ( | ACE_HANDLE | file,
|  | ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer,
|  | size_t | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | size_t | bytes_per_send,
|  | u_long | flags,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous transmit file. Implemented in ACE_POSIX_Asynch_Transmit_File, and ACE_WIN32_Asynch_Transmit_File.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl